Public Member Functions | Private Member Functions | List of all members
libetonyek::IWORKBrContext Class Reference

`#include <IWORKBrContext.h>`

Inheritance diagram for libetonyek::IWORKBrContext:

## Public Member Functions
| IWORKBrContext (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | endOfElement () override

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKBrContext()

libetonyek::IWORKBrContext::IWORKBrContext | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ endOfElement()

void libetonyek::IWORKBrContext::endOfElement | ( |  | ) |
| override private

The documentation for this class was generated from the following files:

- IWORKBrContext.h
- IWORKBrContext.cpp